> For the complete documentation index, see [llms.txt](https://docs.digitalriver.com/commerce-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalriver.com/commerce-api/admin-apis/product-management/retrieve-products-synchronous-api/getting-a-product-variation-by-locale.md).

# Getting a product variation by locale

Basic The following [`GET /v1/products/{ProductId or ERID}/variation/{productId or ERID}/locales/{locale}`](https://docs.digitalriver.com/commerce-api-references/admin-apis/product-management/retrieve-a-product-synchronous-api#v1-products-baseproductid-variations-variationid-locales-locale) request retrieves data for a specific locale associated with a particular product variation.&#x20;

To get a product variation for a specific base product and locale, you must provide one of the following options:&#x20;

* A [`productId`](https://docs.digitalriver.com/commerce-api-references/commerce-api-reference-guide/api-structure/product-identifier)  for the base product, the `variationProductId` for the product variation and the `locale`.&#x20;
* An [`ERID` ](https://docs.digitalriver.com/commerce-api-references/commerce-api-reference-guide/api-structure/product-external-reference-identifier-erid)for the base product, and  a `variationERID` for the product variation, and the `locale`. If the request finds multiple products associated with the `ERID`, the response will return all of them.

{% tabs %}
{% tab title="productId cURL" %}
The following example gets product variation for a specific base product and a locale with a `productId`.

```http
curl --location --request GET 'https://api.digitalriver.com/v1/products/{productId}/variation/{variationProductId}/locales/{locale}' \
--header 'Authorization: Basic <API_key>' \
...
```

An ERID request requires the `x-erid-as-pid=true` header.

<pre class="language-http"><code class="lang-http">curl --location --request GET 'https://api.digitalriver.com/v1/products/{ERID}/variation/{variationERID}/locales/{locale}' \
--header 'Authorization: Basic &#x3C;API_key>' \
<strong>--header 'header x-erid-as-pid=true' \
</strong><strong>...
</strong></code></pre>

The response returns an error if the locale is not found or is invalid.&#x20;
{% endtab %}

{% tab title="200 OK response " %}
The request returns the product variation information for a specific locale in the [synchronous ](/commerce-api/admin-apis/product-management/getting-started.md#asynchronous-and-synchronous-calls)response.&#x20;

```
[
  {
    "productType": "VARIATION",
    "companyId": "digitalriver",
    "siteIds": [
      "domoSite1",
      "domoSite2"
    ],
    "id": 1234567900,
    "state": "Deployed",
    "locked": false,
    "version": 1,
    "variationName": "Business, 1-year-license",
    "baseProductId": 1234567800,
    "varyingAttributes": [
      {
        "attributeName": "fulfillmentType",
        "attributeValue": "Download"
      }
    ],
    "deploymentRequiredChanges": {
      "fulfillmentTypes": [
        "Download"
      ],
      "otherFulfillmentIntegration": {
        "fulfillerIds": [
          "digitalRiver"
        ]
      },
      "transferProduct": 2234567800,
      "upgradeProducts": [
        3234567800
      ],
      "downgradeProducts": [
        4234567800
      ]
    },
    "liveChanges": {
      "externalReferenceId": "sku-1234-5678-xyz",
      "catalogs": [
        {
          "catalogId": 123456000,
          "catalogName": "a catalog",
          "categories": [
            {
              "categoryId": 19000000,
              "categoryName": "a category"
            }
          ],
          "prices": [
            {
              "type": "listPrice",
              "priceListName": "Unit Price",
              "taxInclusive": true,
              "prices": [
                {
                  "currency": "USD",
                  "locale": "en_US",
                  "configuredPrice": 15.99,
                  "calculatedPrice": 0
                }
              ]
            }
          ]
        }
      ]
    },
    "localizations": [
      {
        "locale": "en_US",
        "isDefault": true,
        "groups": [
          {
            "groupId": 11000,
            "groupName": "Storefront Settings",
            "attributes": {
              "property1": "string",
              "property2": "string"
            }
          }
        ]
      }
    ]
  }
]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digitalriver.com/commerce-api/admin-apis/product-management/retrieve-products-synchronous-api/getting-a-product-variation-by-locale.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
